#!/usr/bin/tclsh

proc npdata_encrypt {} {
	npdata_encrypt
}
label .lab -text "This tool will help decrypt edat/sdat files"
label .lab1 -text "Choose edat/sdat to decrypt"
button .open -text "Open edat/sdat" -command {set a [tk_getOpenFile]}
label .lab2 -text "If you have a klic to decrypt 
 the file with please select it below"
button .klic -text "klic" -command {set c [tk_getOpenFile]}
label .lab4 -text "Please select the .rap file"
button .rap -text ".rap" -command {set d [tk_getOpenFile]}
label .lab7 -text "Select where to save file"
button .save -text "Save As" -command {set e [tk_getSaveFile]}
label .lab8 -text "Choose one of the 2 options below to decrypt the EDAT/SDAT depending 
on what you have to decrypt it with."
button .deklic -text "decrypt using klic and .rap" -command { set g [exec tools/./make_npdata -v -d $a $e $c $d] 
tk_messageBox -message "$g" -type ok  }
button .deklic2 -text "decrypt using klic NO .rap" -command { set h [exec tools/./make_npdata -v -d $a $e $c] 
tk_messageBox -message "$h" -type ok }
label .lab5 -text "If you don't have a klic to decrypt edat/sdat 
with please select one of the options below and insert it in 
the text area below"
label .lab6 -text "decryption modes: <klic>:
0 - No key (SDAT)
1 - NPDRM OMAC key 1 (free license key)
2 - NPDRM OMAC key 2
3 - NPDRM OMAC key 3
4 - PS3 key (klic_dec_key)
5 - PSX key (PSOne Classics)
6 - PSP key 1 (PSP Minis)
7 - PSP key 2 (PSP Remasters)
<rap>: RAP file for encryption/decryption (optional)"
entry .ent2 -textvariable f
button .deklic3 -text "decrypt using 0-7 and .rap" -command { set i [exec tools/./make_npdata -v -d $a $e $f $d]
tk_messageBox -message "$i" -type ok }
button .deklic4 -text "decrypt using 0-7 NO .rap" -command { set j [exec tools/./make_npdata -v -d $a $e $f]
tk_messageBox -message "$j" -type ok }

wm geometry . 475x500+1280+000

grid .lab -row 0 -column 0 -columnspan 2
grid .lab1 -row 1 -column 0 -sticky w
grid .open -row 1 -column 1 -sticky e
grid .lab2 -row 2 -column 0 -sticky w
grid .klic -row 2 -column 1 -sticky e
grid .lab4 -row 3 -column 0 -sticky w
grid .rap -row 3 -column 1 -sticky e
grid .lab7 -row 4 -column 0 -sticky w
grid .save -row 4 -column 1 -sticky e
grid .lab8 -row 5 -column 0 -columnspan 2
grid .deklic -row 6 -column 0 -sticky w
grid .deklic2 -row 6 -column 1 -sticky e
grid .lab5 -row 7 -column 0 -columnspan 2
grid .lab6 -row 8 -column 0 -columnspan 2
grid .ent2 -row 9 -column 0 -columnspan 2 
grid .deklic3 -row 10 -column 0 -sticky w
grid .deklic4 -row 10 -column 1 -sticky e