#!/usr/bin/wish

proc make_ps2_iso {} {
	make_ps2_iso
}
label .lab -text "This will walk through the steps of making a PS2 .ISO for"
label .lab0 -text "use with game managers ie: Multiman, Iris Manager, Cobra....."
label .lab1 -text ""
# Choose the ps2 files to turn into an .iso file .iso file that need to be converted to the proper ps2 format.
label .lab2 -text "Select the Game directory to convert."
button .contentDir -text "Select Game Directory" -command {set a [tk_chooseDirectory -initialdir directory]}
label .lab3 -text "Select where to save and what to name the .ISO file to be created"
button .save -text "Save .ISO As" -command {set b [tk_getSaveFile]}
label .lab4 -text "Click \"Make ISO\" button to create .ISO file"
button .make_iso -text "Make ISO" -command {exec hdiutil makehybrid -quiet -o $b -iso $a 
		set c [exec tools/./psiso_tool --ps3 --patch --verbose $b]
		tk_messageBox -message "$c" -type ok}
label .lab7 -text "                                                      "
# To Decrypt a ps2.iso using ps2classic (./ps2classic d [cex/dex] [klicensee] [encrypted image] [out data] [out meta])
# to encrypt a ps2.iso using ps2classic (./ps2classic e [cex/dex] [klicensee] [iso] [out data] [real out name] [CID])
label .ps2classic -text "Select the ps2classic process that you want to preform" 
button .deciso -text "Decrypt ISO/BIN using ps2classic" -command { tk_messageBox -message "I have encountered several errors either with TCL/TK or with ps2classic itself.  I have decrypted then encrypted the same file with this GUI and ps2classic and did an MD5 checksum of the file and they were identical. So the tool and GUI work even with errors. As always backup your original files and use at your own risk!" -type ok
		exec wish scripts/dec_ps2_iso.tcl
		}
button .enciso -text "Encrypt ISO/BIN using ps2classic" -command { tk_messageBox -message "I have encountered several errors either with TCL/TK or with ps2classic itself.  I have decrypted then encrypted the same file with this GUI and ps2classic and did an MD5 checksum of the file and they were identical. So the tool and GUI work even with errors. As always backup your original files and use at your own risk!" -type ok
		exec wish scripts/enc_ps2_iso.tcl
		}
button .decvme -text "Decrypt VME to VMC using ps2classic" -command { tk_messageBox -message "I have encountered several errors either with TCL/TK or with ps2classic itself.  I have decrypted then encrypted the same file with this GUI and ps2classic and did an MD5 checksum of the file and they were identical. So the tool and GUI work even with errors. As always backup your original files and use at your own risk!" -type ok
		exec wish scripts/dec_ps2_vme.tcl
		}
button .encvme -text "Encrypt VMC to VME using ps2classic" -command { tk_messageBox -message "I have encountered several errors either with TCL/TK or with ps2classic itself.  I have decrypted then encrypted the same file with this GUI and ps2classic and did an MD5 checksum of the file and they were identical. So the tool and GUI work even with errors. As always backup your original files and use at your own risk!" -type ok
		exec wish scripts/enc_ps2_vme.tcl
		}
# Check any PS1/PS2/PS3/PSP .ISO
label .lab5 -text "There are two ways to check the information of the an ISO
with ps2classic or with PS ISO Tool v1.03 (supports PS1/PS2/PS3/PSP) by CaptainCPS-X
select one of the ways below" 
button .checkps -text "Get info ps2classic" -command {set e [tk_getOpenFile]
		tk_messageBox -message "If the process errors read the error the info will be contained in it" -type ok
		set f [exec tools/./ps2classic -ps2info $e]
		tk_messageBox -message "$f" -type ok
		}
button .captain -text "CaptianCPS-X" -command {exec wish scripts/CaptianCPS-X.tcl}




label .lab6 -text ".ISO file is being created with hdutil
thanks to CaptianCPS-X, +ps3dev-net, User and all at http://gitorious.ps3dev.net/ps2classic" 



wm geometry . 680x375+920+000
grid .lab -row 0 -column 0 -columnspan 3
grid .lab0 -row 1 -column 0 -columnspan 3
grid .lab1 -row 2 -column 0 -columnspan 3
grid .lab2 -row 3 -column 0 -sticky w
grid .contentDir -row 3 -column 1 -sticky e
grid .lab3 -row 4 -column 0 -sticky w
grid .save -row 4 -column 1 -sticky e
grid .lab4 -row 5 -column 0 -sticky w
grid .make_iso -row 5 -column 1 -sticky e
grid .lab7 -row 6 -column 0 -columnspan 3
grid .ps2classic -row 7 -column 0 -columnspan 3
grid .deciso -row 8 -column 0 -sticky w
grid .enciso -row 8 -column 1 -sticky e
grid .decvme -row 9 -column 0 -sticky w
grid .encvme -row 9 -column 1 -sticky e
grid .lab5 -row 10 -column 0 -columnspan 3
grid .checkps -row 11 -column 0 -sticky w
grid .captain -row 11 -column 1 -sticky e
grid .lab6 -row 12 -column 0 -columnspan 3