#!/usr/bin/tclsh

proc xtrakeys {} {
	xtrakeys
}
package require Tk
label .lab -text "In order for the .ps3keys and scetool to work correctly you will need
to add a few things to the two different forlders. 
PLEASE MAKE SURE YOU HAVE ALREADY RUN THE INSTALL FOR THE .ps3keys 
AND COMMAND LINE TOOLS!"
label .lab0 -text "For scetool the structure needs to look like:
==> Setup <==
/data/keys : Keyfile.
/data/ldr_curves : Loader curves (7744 bytes).
/data/vsh_curves : VSH curves (360 bytes).
/data/idps : IDPS as binary file
/data/act.dat : act.dat
/rifs/* : *.rif files
/raps/* : *.rap files"
label .lab1 -text "For the .ps3keys folder the structure is like this.
==> Setup <==
~/.ps3/keys : Keyfile.
~/.ps3/idps : IDPS as binary file
~/.ps3/exdata/act.dat : act.dat
~/.ps3/exdata/* : *.rif files
~/.ps3/exdata/* : *.rap files"
label .lab2 -text "The files you need to add are the IDPS, act.dat, and whatever .rif and .rap files you have. The Keyfile,
loader curves and VSH curves are already included."
label .lab3 -text "I have included the getIDPS.pkg to retrive your IDPS from the ps3 just click the button and select
where you want to copy the .pkg to then transfer and run it on your ps3. To get your exdata folder, which contains your 
act.dat and .rap and .rif files, you will need to FTP it or use multiman\'s file manager from \"home/000000XX/exdata\" 
to a location of your choice"
button .idps -text "getIDPS.pkg" -command {set e [tk_chooseDirectory] 
exec cp -frv tools/get_idps.pkg $e}
#entry .ent -textvariable pass
label .lab4 -text "Click the appropriate button to add what you need."
button .sce -text "Add IDPS to scetool" -command {set a [tk_getOpenFile] 
		exec cp -frv $a data/
		}
button .sce0 -text "Add act.dat to scetool" -command {set b [tk_getOpenFile]
		exec cp -frv $b data/
		}
button .sce1 -text "Add raps to scetool" -command {tk_messageBox -message "You can only slelect one files at a time" -type ok
		set c [tk_getOpenFile -multiple true] 
		exec cp -frv $c raps/
		}
button .sce2 -text "Add rifs to scetool" -command {tk_messageBox -message "You can only slelect one files at a time" -type ok
		set d [tk_getOpenFile -multiple true] 
		exec cp -frv $d rifs/
		}
button .sce3 -text "Add IDPS to .ps3" -command {
		tk_messageBox -message "The following operation requires Super User Authentication therefore a Terminal Window will appear and follow the instruction from it." -type ok
		exec open -a Terminal.app scripts/install-idps-to-ps3-keys.command
		}
button .sce4 -text "Add act.dat to .ps3/exdata" -command {
		tk_messageBox -message "The following operation requires Super User Authentication therefore a Terminal Window will appear and follow the instruction from it." -type ok
		exec open -a Terminal.app scripts/install-act.dat-to-ps3-keys.command
		}
button .sce5 -text "Add raps to .ps3/exdata" -command {
		tk_messageBox -message "The following operation requires Super User Authentication therefore a Terminal Window will appear and follow the instruction from it." -type ok
		exec open -a Terminal.app scripts/install-rap-to-ps3-keys.command
		}
button .sce6 -text "Add rifs to .ps3/exdata" -command {
		tk_messageBox -message "The following operation requires Super User Authentication therefore a Terminal Window will appear and follow the instruction from it." -type ok
		exec open -a Terminal.app scripts/install-rif-to-ps3-keys.command
		}								
wm geometry . 765x655+920+340


grid .lab  -row 0 -column 0 -columnspan 2
grid .lab0 -row 4 -column 0 -columnspan 2
grid .lab1 -row 13 -column 0 -columnspan 2
grid .lab2 -row 14 -column 0 
grid .lab3 -row 15 -column 0
grid .lab4 -row 16 -column 0
grid .idps -row 17 -column 0 -sticky we
grid .sce -row 19 -column 0 -sticky w
grid .sce0 -row 20 -column 0 -sticky w
grid .sce1 -row 21 -column 0 -sticky w
grid .sce2 -row 22 -column 0 -sticky w
grid .sce3 -row 19 -column 0 -sticky e
grid .sce4 -row 20 -column 0 -sticky e
grid .sce5 -row 21 -column 0 -sticky e
grid .sce6 -row 22 -column 0 -sticky e
